0

Using the PODS plugin. I need to add nested shortcode support which normally would be in the wp-config.php, but wordpress.com does not allow editing the core WordPress files.

The change is:

define('PODS_SHORTCODE_ALLOW_SUB_SHORTCODES', true);

Is there an alternate way of defining this and achieving similar functionality?

  • Don't understand. The wp-config.php file can be modified by the end user. Any WP updates will not affect that file. There is an area that you can use for your own DEFINEs in there. – Rick Hellewell Jun 15 at 18:03
  • 1
    "wordpress.com does not allow editing the core WordPress files" – Mike Crowe Jun 16 at 0:31
  • Oops. Missed that part. Thanks. The answer below might work, though. Although I am not a wordpress.com user - I host my own sites. – Rick Hellewell Jun 16 at 1:26
  • afaik, "wordpress.com also does not allow using plugins" – is your site selfhosted using WordPress.org or hosted by WordPress.com? – Michael Jun 17 at 0:29
1

OK, for those who need, you can do the following:

  • Install Code Snippets
  • In a code snippet:

    add_filter( 'init', function( ) { define('PODS_SHORTCODE_ALLOW_SUB_SHORTCODES', true); });

That will define it without modifying wp-config.php

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.